part of 'check_code_bloc.dart';

sealed class CheckCodeState extends Equatable {
  const CheckCodeState();

  @override
  List<Object> get props => [];
}

final class CheckCodeInitial extends CheckCodeState {}

final class CheckCodeLoading extends CheckCodeState {}

final class CheckCodeSucceess extends CheckCodeState {
  final String? message;

  const CheckCodeSucceess({required this.message});
}

final class CheckCodeFail extends CheckCodeState {
  final String error;

  const CheckCodeFail({required this.error});
}
